polybori::groebner::LessEcartThenLessWeightedLengthInStrat Class Reference

This class defines LessEcartThenLessWeightedLengthInStrat. More...

`#include <LessEcartThenLessWeightedLengthInStrat.h>`

## Public Member Functions

| LessEcartThenLessWeightedLengthInStrat (const GroebnerStrategy &strat)
bool | operator() (const Monomial &a, const Monomial &b)
bool | operator() (const Exponent &a, const Exponent &b)

## Public Attributes

const GroebnerStrategy * | strat

## Detailed Description

This class defines LessEcartThenLessWeightedLengthInStrat.

## Constructor & Destructor Documentation

polybori::groebner::LessEcartThenLessWeightedLengthInStrat::LessEcartThenLessWeightedLengthInStrat | ( | const GroebnerStrategy & | strat | ) |

inline

## Member Function Documentation

bool polybori::groebner::LessEcartThenLessWeightedLengthInStrat::operator() | ( | const Monomial & | a,
|  | const Monomial & | b
| ) |  |

inline

References polybori::groebner::GroebnerStrategy::generators.

bool polybori::groebner::LessEcartThenLessWeightedLengthInStrat::operator() | ( | const Exponent & | a,
|  | const Exponent & | b
| ) |  |

inline

References polybori::groebner::GroebnerStrategy::generators.

## Member Data Documentation

const GroebnerStrategy* polybori::groebner::LessEcartThenLessWeightedLengthInStrat::strat

The documentation for this class was generated from the following file:

- LessEcartThenLessWeightedLengthInStrat.h